.faq_quest {
  margin-bottom: 1rem; // disntance between question bubbles + answers
  cursor: pointer;
  div {
    padding: $padding_val 3 * $padding_val $padding_val 0;
  }
}

.faq_answ {
  &__pic {
    @extend .faq_answ;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    align-items: center;
    justify-content: center;
    column-gap: 2 * $padding_val;

    img {
      grid-column: 1 / 2;
      width: 20vw;
      max-width: 100%;
      margin: $padding_val;
      border-radius: 4 * $borderradius;
      justify-self: center;
      align-self: center;
    }

    p {
      grid-column: 2 / 4;
    }
  }
}

@media (max-width: 1400px) {
  .faq_answ__pic {
    display: flex;
    flex-direction: column;
    align-items: center;

    & img {
      width: 90%;
      max-width: 300px;
      order: -1;
    }
  }
}

@keyframes fade_in {
  0% {
    opacity: 0.2;
  }

  100% {
    opacity: 1;
  }
}

details {
  &[open] {
    margin-bottom: 1rem;

    & summary ~ * {
      animation: fade_in 0.3s ease-in-out;
    }
  }
}

summary {
  list-style: none;
  &::marker {
    content: "";
  }
  &::-webkit-details-marker {
    content: "";
    display: none;
  }

  &::before,
  &::after {
    content: "";

    width: 2rem;
    height: 0;
    border-bottom: 4px solid;
    border-radius: 2px;
    position: absolute;
    top: calc(50% - 1px);
    right: 2vw;
    font-size: 3rem;

    transition: all 0.3s ease;
  }

  &::after {
    transform: rotate(90deg);
  }

  [open] &::after {
    transform: rotate(0deg);
  }
}
